/*global require*/
/*global GameSettings*/

require( "src/Game/Base/GameSettings.js" );

var MemoryMatchSettings;
( function()
{
    "use strict";
    
    MemoryMatchSettings = GameSettings.extend(
    {
        /** @lends MemoryMatchSettings.prototype */
        
        /**
         * The settings file for the game, Memory Match!
         *
         * @constructs
         * @param {string} fileLocation The location of this settings file on the disk.
         * @param {boolean} [convertKeysToLowercase=true] If true, then all root keys from the JSON file will be converted to lowerCamelCase
         */


        ctor:function( fileLocation, convertKeysToLowercase )
        {
            this._super( fileLocation, convertKeysToLowercase );
        }
    } );
}() );