var cc = cc;
var require = require;

var Fish = cc.Class.extend(
{
    /** @lends Fish.prototype */

    view:null,

    /**
     *  A Fish is the logic behind that cute little fish.
     */
    ctor:function( settings )
    {
        this.view = cc.Sprite.create( "fish_staticnoanim.png" );
    },

    /**
     * Pauses fish behavior.
     */
    pause:function()
    {
        this.view.pause();
    },

    /**
     * Resumes fish behavior.
     */
    resume:function()
    {
        this.view.resume();
    },

    /**
     * Sets fish visibility.
     */
    show:function( show )
    {
        this.view.setVisible( show );
    }
});