/*global require*/
/*global cc*/

var StreetModel;
( function()
{
    "use strict";
    
    StreetModel = cc.Class.extend(
    {
        stages: null,
        level: null,
        grid: null,
        stage: -1,
        trial: -1,
        rowCount: 0,
        columnCount: 0,
        gridRowCount: 0,
        gridColumnCount: 0,
        tiledRowCount: 0,
        tiledColumnCount: 0,
        pickups: null,
        pickupsBitmask: 0,
        dropoffs: null,
        dropoffsBitmask: 0,
        vehicleColumn: 0,
        vehicleRow: 0,
        bestFirstPath: null,
        areInteractionsBlocked: false,
        hasProcessedDropoff: false,
        hasReachedMaxVehicleCapacity: false,
        roundData: null,
        trialData: null,
        steps: 0,
        resetCount: 0,
        characterAtVehicleAddress: "",
        pickupCount: 0,
        dropoffCount: 0,
        timeToCompleteRound: 0,

        // Debug
        freeVehicleMovement: false,

        /** @lends StreetModel.prototype */
        
        /**
        * The Street model.
        * @constructs
        */
        ctor: function()
        {
            this.pickups = [];
            this.dropoffs = [];
            this.bestFirstPath = [];
            this.roundData = [];
            this.trialData = {};
        }
    } );
}() );
