//This whole file is simply an enum to show you what parts of the level you're actually accessing

var LevelKey = 
{	
	//which level you're accessing
	Level: 0,
    //variety of distractors (nonunique star types)
	DistractorVariety: 1,
	//Rotation that happens as the player watches
	ConstantRotation: 2,
	//simply initial rotation
	SingleRotation: 3,
	//the texture, grabbed from the palette, to be used on the stars
	Texture: 4,
	//the number of types of shapes of stars
	Shape: 5,
	//The number of colors, taken from the palette
	Color: 6,
	//The palette to access to grab colors from
	Palette: 7,
	//The number of columns that literally have stars
	ColumnFill: 8,
	//The number of rows that literally have stars
	RowFill: 9,
	//The number of columns period. Not all must be filled with stars
	ColumnCount: 10,
	//The number of rows period. Not all must be filled with stars
	RowCount: 11
};