var require = require;

var cc = cc;

require( "src/Game/DisillusionBoard.js" );
var DisillusionBoard = DisillusionBoard;

require( "src/Game/DisillusionBoardPiece.js" );
var DisillusionBoardPiece = DisillusionBoardPiece;

var DisillusionRoundModel = cc.Class.extend(
{
    /** @lends DisillusionRoundModel.prototype */

    _model: null,
    roundPrepared: false,
    roundStarted: false,
    board: undefined,
    isStarted: false,
    isFinished: false,

    /**
     * Disillusion Round Model
     *
     * @constructs
     */
    ctor:function ( model )
    {
        this._model = model;
        this.roundPrepared = false;
        this.roundStarted = false;
        this.isStarted = false;
        this.isFinished = false;
        this.num_correct = 0;
        this.board = new DisillusionBoard(this._model);
        this.board.generateNewBoard();
    }
});
