/*global require*/
/*global cc*/
/*global GameModel*/

require( "src/Game/Base/GameModel.js" );

var LostInMigrationModel;
( function()
{
	"use strict";

	LostInMigrationModel = GameModel.extend(
	{
		 areInteractionsBlocked: false,

		 bestStatKey: "NumberOfFlocks",

		 numberOfFlocks: 0,

	    /** @lends LostInMigrationModel.prototype */
	    
	    /**
	     * The Lost In Migration model.
	     * @constructs
	     */
	    ctor: function()
	    {
	        
	    },

	    exportResults: function()
        {
            var stats = {};
            stats[ this.bestStatKey ] = this.numberOfFlocks;
            
            return this._super( stats, this.bestStatKey );
        }
	} );
}() );
