/*global require*/
/*global cc*/
/*global LumosityUtils*/

require( "src/Utility/LumosityUtils.js" );

/**
 * The Street settings.
 * @class
 * @name StreetSettings
 */
var StreetSettings;
( function()
{
    "use strict";
    
    StreetSettings = cc.Class.extend(
    {
        /** @lends StreetModel.prototype */
        
        /**
        * The Street settings.
        * @constructs
        */
        ctor: function( settings )
        {
            var self = this;
            // Copies all the properties of settings and makes them
            // properties of this class.
            LumosityUtils.forEachIn( settings, function( name, value )
            {
                self[ name ] = value;
            } );
        }
    } );
}() );
