/*global require*/
/*global cc*/

var VehicleDirection = 
{
    Left:   0,
    Right:  1,
    Up:     2,
    Down:   3
};

var VehicleModel;
( function()
{
    "use strict";
    
    VehicleModel = cc.Class.extend(
    {
        fuel: 0,
        fuelCount: 0,
        passengers: null,
        direction: VehicleDirection.Left,

        carIdleSoundID : -1,
        carDriveSoundID : -1,
        
        /** @lends VehicleModel.prototype */
        
        /**
        * The Vehicle model.
        * @constructs
        */
        ctor: function()
        {
            this.passengers = [];
        }
    } );
}() );
